## wxLogStream

This class can be used to redirect the log messages to a C++ stream.

Please note that this class is only available if wxWidgets was compiled with the standard iostream library support (`wxUSE_STD_IOSTREAM` must be on).

Derived from

wxLog

Include files

<wx/log.h>

See also

wxLogStderr,
wxStreamToTextRedirector

Members

wxLogStream::wxLogStream

### wxLogStream::wxLogStream

wxLogStream(std::ostream *ostr = NULL)

Constructs a log target which sends all the log messages to the given output stream. If it is `NULL`, the messages are sent to `cerr`.